%define module_name Mojolicious-Plugin-Check
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Mojolicious.pm) perl(open.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: Mojolicious plugin for controller level conditions.
Group: Development/Perl
License: perl
URL: https://github.com/dr-co/Mojolicious-Plugin-Check

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/R/RS/RSHADOW/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module provide delayed to *around_action* hook execution for conditions
to use with database, models and over controller level checks.
You do not have to use *add_condition* directly for this because: conditions
check route/headers not business logic, you can`t save something in stash, etc.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes
%perl_vendor_privlib/M*

%changelog
* Thu Oct 26 2017 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- regenerated from template by package builder

* Thu Aug 03 2017 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

